@import '../../../../assets/styles/common.scss';

.condition-dropdown {
  display: flex;
  box-sizing: border-box;
  width: 38rem;
  height: 6.4rem;
  margin-bottom: 1.2rem;
  border: 2px solid $blue-light;
  border-radius: 1.1rem;
  font-weight: 300;
  font-style: italic;
  font-size: 2rem;
  text-transform: capitalize;
  background: $input-blue;
  box-shadow: 0 0 2rem 2px $input-blue-glow;

  &__left {
    display: flex;
    align-items: center;
    box-sizing: border-box;
    width: 17rem;
    height: 100%;
    border-radius: 1.1rem 0 0 1.1rem;
    color: $blue-light;
    background-color: $challenge-condition__background;

    &--select {
      @extend .condition-dropdown__left;

      padding-left: 1rem;
    }
  }

  &__right {
    flex-grow: 1;
    padding: 0 1rem;

    &-dropdown {
      width: 100%;
      height: 100%;

      &::before, &::after {
        border-bottom: none;
      }
    }
  }
}
